Bug 110331 - MASQERADE with IPCHAINS freezes OS
Summary: MASQERADE with IPCHAINS freezes OS
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-18 15:54 UTC by Need Real Name
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:41:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-11-18 15:54:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After upgrading from RedHat 9, the MASQERADE with IPCHAINS freezes OS 
when I use it as an internet gateway.

This is from memory because I lost what I had typed in the "standard 
bug form"

I put in the approprate commands for forwarding in:
/etc/sysconfig/ipchains MASQ and fowarding is properly set.
/etc/sysconfig/network GATEWAY eq 192.168.1.1
/etc/sysctl.conf = allow IP 4 forwarding = 1

eth0=connected directly to internet 192.168.1.5
eth1=connected to internal lan and acts as gateway address 
10.238.123.45

Just email me for more details.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Made the above config changes under RH9, used it for months 
without problems (routing was stable), then upgraded to Fedora Core 1
2.  Replicated this on another machine with completely different 
hardware, and got the same results.
3.
    

Actual Results:  The system freezes, only a cold reboot works.  
CTRL / ALT / DELETE does not work.

Expected Results:  I expected it to route as it did under 7.3, 8.0, 
and 9.0 RedHat.

Additional info:

Please email me for more details.

Comment 1 Mike A. Harris 2003-11-18 16:43:08 UTC
The "ipchains" command, of which this bugzilla module is for, is
just the command that sends ipchains rules to the kernel.  It does
contain any code which can lock up a machine whatsoever.

Reassigning to the kernel.

Comment 2 Dave Jones 2004-06-19 14:34:13 UTC
Did this ever get fixed?


Comment 3 David Lawrence 2004-09-29 19:41:29 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.